﻿using System.Windows;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            Button submitButton = new Button();

            submitButton.Margin    = new Thickness(10);
            submitButton.Width     = 100;
            submitButton.Height    = 30;
            submitButton.IsDefault = true;
            submitButton.Content   = "제출";

            submitButton.Click += delegate { Close(); };

            Button cancelButton = new Button();

            cancelButton.Margin   = new Thickness(10);
            cancelButton.Width    = 100;
            cancelButton.Height   = 30;
            cancelButton.Content  = "Cancel";
            cancelButton.IsCancel = true;

            cancelButton.Click += delegate { Close(); };

            StackPanel stackPanel = new StackPanel();

            stackPanel.HorizontalAlignment = HorizontalAlignment.Center;
            stackPanel.VerticalAlignment   = VerticalAlignment.Center;
            stackPanel.Orientation         = Orientation.Horizontal;

            stackPanel.Children.Add(submitButton);
            stackPanel.Children.Add(cancelButton);

            Content = stackPanel;
        }

        #endregion
    }
}